<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <variables>
    <family name="nsd_zone_" description="Zone " dynamic="nsd_zones" hidden="True">
      <family name="hostname_" description="Nom d'hôte pour " leadership="True">
        <variable name="hostname_" description="Nom d'hôte pour " type="hostname" multi="True" mandatory="True"/>
        <variable name="type_" description="Type pour " type="choice">
          <choice type="string">A</choice>
          <choice type="string">CNAME</choice>
          <value type="string">A</value>
        </variable>
        <variable name="ip_" description="Adresse IP a renvoyer pour " type="ip" mandatory="True"/>
        <variable name="cname_" description="Nom de domaine a renvoyer pour " type="domainname" mandatory="True"/>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="get_internal_info_in_zone">
      <param type="information">zones</param>
      <param type="suffix"/>
      <param>host</param>
      <target>nsd.nsd_zone_.hostname_.hostname_</target>
    </fill>
    <fill name="get_internal_info_in_zone">
      <param type="information">zones</param>
      <param type="suffix"/>
      <param>ip</param>
      <param type="index"/>
      <target>nsd.nsd_zone_.hostname_.ip_</target>
    </fill>
    <condition name="disabled_if_in" source="nsd.nsd_zone_.hostname_.type_">
      <param>A</param>
      <target type="variable">nsd.nsd_zone_.hostname_.cname_</target>
    </condition>
    <condition name="disabled_if_in" source="nsd.nsd_zone_.hostname_.type_">
      <param>CNAME</param>
      <target type="variable">nsd.nsd_zone_.hostname_.ip_</target>
    </condition>
  </constraints>
</rougail>
